---
Name: ubuntuhammer-customize
Description: Add extra packages that ubuntuhammer needs.
Documentation: |
  This task allows you to customize ubuntuhammer by programatically
  inserting extra tasks via the 'ubuntuhammer/customize-tasks' param.
Templates:
  - Name: install-extra-packages-not-on-disk
    Contents: |
      #!/usr/bin/env bash

      set -e

      apt-get update
      apt-get install -y genisoimage
      apt-get install -y kexec-tools
      apt-get install -y python3-requests

  - Name: install-curtin
    Contents: |
      #!/usr/bin/env bash

      set -e

      apt-get -qy install python3-pip
      apt-get -qy install f2fs-tools python3-pyudev zfsutils-linux
      pip install git+https://github.com/canonical/curtin.git@24.0.0 --break-system-packages

  - Name: add-customization-tasks
    Contents: |
      #!/usr/bin/env bash
      moreTasks="{{ .Param "ubuntuhammer/customize-tasks" | join " "}}"
      [[ $moreTasks ]] || exit 0
      drpcli machines tasks add $RS_UUID at 0 $moreTasks
